Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 74975 - UML kernel is built i686 not i386/i486 as it should have been
UML kernel is built i686 not i386/i486 as it should have been
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
low Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 07:08 EDT by Alan Cox
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-11 19:09:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2002-10-03 07:08:22 EDT
This makes it impossible to run UML instances with Red Hat 8 on things like VIA
C3 boxes
Comment 1 Need Real Name 2002-10-05 14:55:37 EDT
I am also interested to know why the i386 kernel has not been included. A lot 
of people still used 486 PC for servers.
Comment 2 Alan Cox 2002-10-05 15:01:00 EDT
That one I can answer. Red Hat 8 supports pentium or higher class hardware. That
really reflects the tools and environment we design for. You can build an 8.0
environment with your own 486 kernel just about but at that point its really
very customized rather than Red Hat as such.

In many ways this is a business decision. If you feel strongly its not a wise
one then do send email feedback to Red Hat about it
Comment 3 Claus L. Rasmussen 2002-11-16 20:10:39 EST
I don't know if this is related, but I am running on a VIA chipset 
(VT82C693A/694x, VT82C598/694x, VT82C686) and get very strange behaviour 
from running UML. I have tried the following root filesystems from 
http://user-mode-linux.sourceforge.net/dl-sf.html :

  root_fs.rh-7.2-full.pristine.20020312.bz2  (RedHat 7.2 filesystem)
  root_fs_toms1.7.205.bz2                    (tomsrtbt filesystem)

In addition I have tried to make an self-install (?) of RH8 using the 
description here:

  http://linuxhacker.ru/uml/

"Strange behaviour" includes random hangs during the UML startup process,
and (except for the tomsrtbt image) problems starting additional ttys 
(there semmes to be no connection from UML linux to host linux?), and 
problems mounting from nfs server. In addition; the UML processes never 
comes down clean - there is always several processes in the host left 
hanging that needs to be killed manually.

Comment 4 Alan Cox 2002-11-16 20:14:18 EST
Thats unrelated - please file a seperate bug for it
Comment 5 Alan Cox 2003-11-11 19:09:53 EST
Package dropped

Note You need to log in before you can comment on or make changes to this bug.